Subject: bug#49921: go-1.16 build failing on aarch64: "fatal error: runtime.newosproc"

From: Thiago Jung Bauermann <[email-masked]>
Date: Fri, 10 Sep 2021 20:06:34 -0300

Hello Sarah,

Em sexta-feira, 10 de setembro de 2021, às 19:14:06 -03, [email-masked] 
escreveu:
> Hi Thiago,
> 
> (Re-sent due to missing Cc.)
> 
> September 10, 2021 3:06 PM, "Thiago Jung Bauermann" 
<[email-masked]> wrote:
> > Hello Sarah,
> > 
> > Em quinta-feira, 2 de setembro de 2021, às 15:47:08 -03, Sarah
> > Morgensen
> > 
> > escreveu:
> >> I think this might be related to [0], although if it's true that CI
> >> uses
> >> native builders for aarch64 now, I have no idea.
> > 
> > The CI has two native aarch64 builders (which also do armhf, despite
> > bugs 43513 and 43591): dover and overdrive1.
> > 
> > It also uses half of the x86_64 builders (hydra-guix-*) for emulated
> > builds of aarch64 and armhf, as can be seen here:
> > 
> > https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/hydra/berli
> > n-nodes.scm#n143
> Thanks for the explanation.  Is there a way to tell CI (or Guix itself)
> that certain packages shouldn't be built under emulation?

I don’t know. That would certainly be useful, though.

To be honest, my experience in the past couple of months with emulated 
builds for powerpc64le-linux wasn’t good, so I asked for it to be turned 
off.

-- 
Thanks,
Thiago